(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     53316,       1318]
NotebookOptionsPosition[     52079,       1281]
NotebookOutlinePosition[     52543,       1299]
CellTagsIndexPosition[     52500,       1296]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{
  RowBox[{"Quiet", "@", 
   RowBox[{"Remove", "[", "\"\<Global`*\>\"", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"$HistoryLength", "=", "2"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SetDirectory", "[", 
   RowBox[{"NotebookDirectory", "[", "]"}], "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.795918162671875*^9, 3.795918175078125*^9}, {
  3.79591830696875*^9, 3.795918307390625*^9}, {3.79825599234375*^9, 
  3.798255999515625*^9}},
 ExpressionUUID -> "c1754577-7b23-450e-91b5-9be5e68cd5db"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "v", " ", "teto", " ", "uloze", " ", "si", " ", "tak", " ", "trochu", " ",
      "simulujeme"}], ",", " ", 
    RowBox[{"ze", " ", "spolupracujete", " ", "s", " ", "nekym"}], ",", " ", 
    RowBox[{
    "kdo", " ", "dava", " ", "zadani", " ", "ulohy", " ", "v", " ", 
     "Wolframu", " ", "k", " ", "dopracovani"}], ",", " ", 
    RowBox[{
    "vlastni", " ", "vstup", " ", "je", " ", "zadani", " ", "ulohy", " ", "a",
      " ", "zadefinovane", " ", "globalni", " ", "funkce", " ", "a", " ", 
     "promenne", " ", "v", " ", "kouscich", " ", "kodu", " ", "Wolframu"}]}], 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "z", " ", "hlediska", " ", "predmetu", " ", "VYA", " ", "se", " ", 
     "prisne", " ", "vzato", " ", "mate", " ", "hlavne", " ", "naucit", " ", 
     "matemamaticke", " ", "reseni", " ", "rovnic", " ", 
     RowBox[{"atd", ".", " ", "a"}], " ", "obvody"}], ",", " ", "fyziku", ",",
     " ", 
    RowBox[{
     RowBox[{
      RowBox[{"sdileni", " ", "tepla", " ", 
       RowBox[{"atd", ".", " ", "vas"}], " ", "prislusne", " ", "veci", " ", 
       "nauci", " ", 
       RowBox[{"(", "doufam", ")"}], " ", "kolegove", " ", "z", " ", 
       "ostatnich", " ", "kateder"}], "..."}], " ", "ale", " ", "ono", " ", 
     "to", " ", "neuskodi", " ", "a", " ", "odnekud", " ", "rovnice", " ", 
     "k", " ", "reseni", " ", "vzit", " ", "musime"}]}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "kdo", " ", "nechce", " ", "chapat", " ", "nic", " ", "nez", " ", 
     "rovnicim"}], ",", " ", "nemusi", ",", " ", 
    RowBox[{"rovnice", " ", 
     RowBox[{"(", 
      RowBox[{
      "v", " ", "pripade", " ", "diferencialnich", " ", "rovnic", " ", 
       "vcetne", " ", "pocatecnich", " ", "podminek"}], ")"}], " ", "budou", 
     " ", "uvedeny", " ", "a", " ", "jejich", " ", "vyreseni", " ", 
     RowBox[{"atd", ".", " ", "k"}], " ", "zisku", " ", "bodu", " ", 
     "staci"}]}], "*)"}]}]], "Input",
 CellChangeTimes->{{3.7982774745625*^9, 3.798277479265625*^9}, {
  3.798277509734375*^9, 3.79827771025*^9}, {3.798296088125*^9, 
  3.79829616171875*^9}, {3.798296303109375*^9, 3.7982963605625*^9}, {
  3.798296410609375*^9, 3.798296436421875*^9}, {3.79829852578125*^9, 
  3.7982985271875*^9}, {3.798328298359375*^9, 3.798328355796875*^9}, {
  3.79834734184375*^9, 3.7983473743125*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "koho", " ", "az", " ", "tak", " ", "nezajima", " ", "elektrotechnika"}], 
    ",", " ", 
    RowBox[{
    "staci", " ", "mu", " ", "vysledna", " ", "hodnota", " ", "Rprivod", " ", 
     RowBox[{"atd", "."}]}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "\"\<inzenyrska\>\"", " ", "uloha", " ", "je", " ", "podivat", " ", "se", 
     " ", "na", " ", "vliv", " ", "nominalniho", " ", "vykonu", " ", 
     RowBox[{"(", 
      RowBox[{"a", " ", "tedy", " ", "i", " ", "odporu"}], ")"}], " ", 
     "rychlovarne", " ", "konvice", " ", "na", " ", "celkovou", " ", 
     "ucinnost", " ", "ohrevu"}], ",", 
    RowBox[{
    "ztraty", " ", "v", " ", "privodech", " ", "a", " ", "ztraty", " ", 
     "tepla", " ", "behem", " ", "ohrevu"}]}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
   "vlastne", " ", "staci", " ", "jako", " ", "vstup", " ", "nekolik", " ", 
    "konstant", " ", "a", " ", "funkce", " ", "rceCelkem"}], 
   "*)"}]}]], "Input",
 CellChangeTimes->{{3.798277716265625*^9, 3.79827781065625*^9}, {
   3.7982958365625*^9, 3.798295858828125*^9}, {3.79829594953125*^9, 
   3.7982959763125*^9}, {3.79829619878125*^9, 3.79829620284375*^9}, 
   3.798296478984375*^9, {3.798300915359375*^9, 3.798300937359375*^9}, {
   3.79832838003125*^9, 3.79832838178125*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
      "podivame", " ", "se", " ", "na", " ", "elektricky", " ", "odpor", " ", 
       "privodnich", " ", "vodicu"}], "..."}], " ", "jasne"}], ",", " ", 
    RowBox[{"bereme", " ", "jen", " ", "odpor", " ", "vodicu", " ", 
     RowBox[{"(", "smycky", ")"}], " ", "od", " ", "rozvadece", " ", "k", " ",
      "zasuvce"}], ",", " ", 
    RowBox[{
    "zanedbavame", " ", "prechodovy", " ", "odpor", " ", "mezi", " ", 
     "zastrckou", " ", "a", " ", "zasuvkou"}], ",", " ", 
    RowBox[{
     RowBox[{
      RowBox[{
      "a", " ", "ten", " ", "kousek", " ", "mezi", " ", "zastrckou", " ", "a",
        " ", "konvici"}], "..."}], "dodat", " ", "by", " ", "to", " ", "tam", 
     " ", "nebylo", " ", "obtizne"}], ",", " ", 
    RowBox[{
    "ale", " ", "o", " ", "to", " ", "ve", " ", "VYA", " ", "nejde"}]}], 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "promenna", " ", "delka", " ", "je", " ", "delka", " ", "privodu", " ", 
     "ke", " ", "konvici"}], ",", " ", 
    RowBox[{
    "Sk", " ", "je", " ", "prurez", " ", "medeneho", " ", "vodice"}]}], 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"delka", "=", "40"}], ";"}], 
   RowBox[{"(*", 
    RowBox[{"m", ",", " ", 
     RowBox[{"delka", " ", "privodu"}]}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Usit", "=", "230."}], ";"}], 
   RowBox[{"(*", 
    RowBox[{"V", ",", " ", 
     RowBox[{"napeti", " ", "tvrde", " ", "site", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
        "cili", " ", "skoro", " ", "jako", " ", "zdroj", " ", "napeti"}], ",",
         " ", 
        RowBox[{
        "uvazujeme", " ", "to", " ", "obvodove", " ", "jako", " ", "zdroj", 
         " ", "napeti"}]}], ")"}]}]}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[Gamma]", "=", 
     RowBox[{"57.", "*", 
      SuperscriptBox["10", "6"]}]}], ";"}], 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"S", "/", "m"}], ",", " ", 
     RowBox[{"merna", " ", "elektricka", " ", "vodivost", " ", "medi"}], ",", 
     " ", 
     RowBox[{"\[Gamma]", "=", 
      FractionBox["1", 
       SubscriptBox["\[Rho]", "EL"]]}], ",", " ", 
     RowBox[{"kde", " ", 
      SubscriptBox["\[Rho]", "EL"], " ", "je", " ", "merny", " ", 
      "elektricky", " ", "odpor"}]}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"mm", "=", "0.001"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Sk", "=", 
     RowBox[{"1.5", 
      SuperscriptBox["mm", "2"]}]}], ";"}], 
   RowBox[{"(*", 
    RowBox[{"prurez", " ", "privodnich", " ", "vodicu"}], "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Rprivod", "=", 
     FractionBox["delka", 
      RowBox[{"\[Gamma]", "*", "Sk"}]]}], ";"}], 
   RowBox[{"(*", 
    RowBox[{"odpor", " ", "privodu"}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", 
    RowBox[{
    "\"\<Rprivod= \>\"", ",", "Rprivod", ",", "\"\< \[CapitalOmega]\>\""}], 
    "]"}]}]}]], "Input",
 CellChangeTimes->{{3.79827712565625*^9, 3.798277203234375*^9}, {
   3.79827726521875*^9, 3.79827745840625*^9}, {3.7982778360625*^9, 
   3.798277841546875*^9}, {3.798277892515625*^9, 3.79827799834375*^9}, {
   3.79827960559375*^9, 3.798279613921875*^9}, 3.7982906674375*^9, 
   3.79829389528125*^9, {3.7982939376875*^9, 3.798293965375*^9}, {
   3.798295773203125*^9, 3.7982957975625*^9}, 3.798296058359375*^9, {
   3.798296226109375*^9, 3.7982962265625*^9}, {3.798296518875*^9, 
   3.79829654825*^9}, {3.798328436828125*^9, 3.798328440171875*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "pro", " ", "ohrev", " ", "plati", " ", "s", " ", "dobrou", " ", 
     "presnosti", " ", "rovnice", " ", "sdileni", " ", "tepla", " ", 
     RowBox[{"(", 
      RowBox[{
      "pokud", " ", "je", " ", "konvice", " ", "dobre", " ", "zavrena", " ", 
       "a", " ", "ztraty", " ", "vyparnym", " ", "teplem", " ", "jsou", " ", 
       "zanedbatelne"}], ")"}]}], ",", " ", 
    RowBox[{"ktere", " ", "ty", " ", "z", " ", "vas"}], ",", " ", 
    RowBox[{
    "kteri", " ", "budou", " ", "pokracovat", " ", "na", " ", "technickem", 
     " ", "zamereni"}], ",", " ", 
    RowBox[{
    "budou", " ", "ucit", " ", "kolegove", " ", "z", " ", "katedry", " ", 
     "technologie", " ", "a", " ", "ja"}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{"zadame", " ", "nejake", " ", "parametry"}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"m", "=", "0.5"}], ";"}], 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{
     "ekvivalentni", " ", "hmotnost", " ", "ohrivaneho", " ", "systemu"}], 
     ",", " ", 
     RowBox[{
     "hlavni", " ", "vliv", " ", "na", " ", "ni", " ", "ma", " ", "hmotnost", 
      " ", "ohrivane", " ", "vody"}]}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"c", "=", "4186."}], ";"}], 
   RowBox[{"(*", 
    RowBox[{
     FractionBox["J", 
      RowBox[{"kg", ".", "K"}]], ",", " ", 
     RowBox[{"merna", " ", "tepelna", " ", "kapacita", " ", "vody"}]}], 
    "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Tokoli", "=", "20."}], ";"}], 
   RowBox[{"(*", 
    RowBox[{"teplota", " ", "okoli", " ", "konvice"}], "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[Sigma]", "=", 
     RowBox[{"5.67", "*", 
      SuperscriptBox["10", 
       RowBox[{"-", "8"}]]}]}], ";"}], 
   RowBox[{"(*", 
    RowBox[{
     FractionBox["W", 
      RowBox[{
       SuperscriptBox["m", "2"], ".", 
       SuperscriptBox["K", 
        RowBox[{"-", "4"}]]}]], ",", " ", 
     RowBox[{"Stefan", "-", 
      RowBox[{
      "Boltzmannova", " ", "konstanta", " ", "pro", " ", "uhrnne", " ", 
       "salani", " ", "cerneho", " ", "telesa"}]}]}], "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[Epsilon]", "=", "0.8"}], ";"}], 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"takzvana", " ", "emisivita"}], ",", " ", 
     RowBox[{"cili", " ", "salavost"}], ",", " ", 
     RowBox[{
     "bezrozmerene", " ", "cislo", " ", "vyjadrujici", " ", "pomer", " ", 
      "mezi", " ", "salanim", " ", "realneho", " ", 
      RowBox[{"(", "konvice", ")"}], " ", "a", " ", "dokonale", " ", 
      "cerneho", " ", "telesa"}]}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[Alpha]", "=", "10."}], ";"}], 
   RowBox[{"(*", 
    RowBox[{
     FractionBox["W", 
      RowBox[{
       SuperscriptBox["m", "2"], ".", "K"}]], ",", " ", 
     RowBox[{"soucinitel", " ", "sdileni", " ", "tepla", " ", "konvekci"}]}], 
    "*)"}]}]}]], "Input",
 CellChangeTimes->{{3.798277234984375*^9, 3.79827726240625*^9}, {
   3.79827801828125*^9, 3.79827839996875*^9}, {3.7982792319375*^9, 
   3.798279232453125*^9}, {3.79827934325*^9, 3.798279429078125*^9}, {
   3.798281380203125*^9, 3.798281395171875*^9}, {3.798296616640625*^9, 
   3.79829662059375*^9}, {3.798301001609375*^9, 3.798301033796875*^9}, 
   3.798328463640625*^9, 3.798328495296875*^9, 3.79834742965625*^9}],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{
     "snad", " ", "i", " ", "dnes", " ", "je", " ", "soucast", " ", "vyuky", 
      " ", "zakladni", " ", "skoly", " ", "E"}], "=", 
     RowBox[{"m", "*", "c", "*", "\[CapitalDelta]T"}]}], ",", " ", 
    RowBox[{
    "urcime", " ", "si", " ", "tedy", " ", "minimalni", " ", "teoretickou", 
     " ", "energii", " ", "potrebnou", " ", "pro", " ", "ohrev", " ", 
     "vody"}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
   "z", " ", "vodovodu", " ", "jsme", " ", "natocili", " ", "vodu", " ", "10",
     "\[Degree]C", " ", "a", " ", "potrebujeme", " ", "ji", " ", "ohrat", " ",
     "na", " ", "100", "\[Degree]C"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"TStart", "=", "10."}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"TEnd", "=", "100."}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Emin", "=", 
     RowBox[{"m", "*", "c", "*", 
      RowBox[{"(", 
       RowBox[{"TEnd", "-", "TStart"}], ")"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"Print", "[", 
    RowBox[{"\"\<Emin= \>\"", ",", "Emin", ",", "\"\< J\>\""}], 
    "]"}]}]}]], "Input",
 CellChangeTimes->{
  3.798280683203125*^9, {3.7982808016875*^9, 3.798280816875*^9}, 
   3.798280942765625*^9, {3.798281056234375*^9, 3.798281137921875*^9}, {
   3.798281182328125*^9, 3.798281203546875*^9}, {3.798281294265625*^9, 
   3.7982813553125*^9}, {3.798281398375*^9, 3.79828149840625*^9}, {
   3.7982867278125*^9, 3.798286730484375*^9}, 3.798298591953125*^9, {
   3.798298899703125*^9, 3.798298938890625*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "cilem", " ", "tohoto", " ", "kousku", " ", "programu", " ", "je", " ", 
     "jen", " ", "ziskat", " ", "hodnotu", " ", "S"}], ",", " ", 
    RowBox[{"tedy", " ", "plochy"}], ",", " ", 
    RowBox[{
    "kterou", " ", "prochazi", " ", "ztratovy", " ", "tepelny", " ", 
     "vykon"}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"inzenyrska", " ", "sejdirina"}], "..."}], " ", "potrebuji", 
     " ", "plochu", " ", "pro", " ", "sdileni", " ", "tepla"}], ",", " ", 
    RowBox[{
    "odhadnu", " ", "z", " ", "predpokladaneho", " ", "prumeru", " ", 
     "konvice", " ", "vysku", " ", "hladiny", " ", "vody"}], ",", " ", 
    RowBox[{"reknu", " ", "si"}], ",", " ", 
    RowBox[{
    "ze", " ", "je", " ", "to", " ", "tak", " ", "asi", " ", "petina", " ", 
     "cele", " ", "vysky", " ", "a", " ", "pripoctu", " ", "plochu", " ", 
     "vika", " ", "a", " ", "zaokrouhlim", " ", "to"}]}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"d", "=", 
     RowBox[{"140", "mm"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[Rho]", "=", "1000"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"solv", "=", 
     RowBox[{
      RowBox[{"Solve", "[", 
       RowBox[{
        RowBox[{"v", "*", 
         FractionBox[
          RowBox[{"Pi", "*", 
           SuperscriptBox["d", "2"]}], "4"]}], "\[Equal]", 
        FractionBox["m", "\[Rho]"]}], "]"}], "[", 
      RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Spom", "=", 
     RowBox[{
      RowBox[{
       RowBox[{"5", "*", "Pi", "*", "d", "*", "v"}], "+", 
       FractionBox[
        RowBox[{"Pi", "*", 
         SuperscriptBox["d", "2"]}], "4"]}], "/.", "solv"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"nDigit", "=", "3"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"myR", ":=", 
     RowBox[{
      RowBox[{
       RowBox[{"N", "@", 
        SuperscriptBox["10", 
         RowBox[{"-", "nDigit"}]]}], "*", 
       RowBox[{"Round", "[", 
        RowBox[{
         SuperscriptBox["10", "nDigit"], "*", "#"}], "]"}]}], "&"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"S", "=", 
     RowBox[{"myR", "[", "Spom", "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", 
    RowBox[{
    "\"\<S= \>\"", ",", "S", ",", 
     "\"\< \!\(\*SuperscriptBox[\(m\), \(2\)]\)\>\""}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.798278427625*^9, 3.79827853628125*^9}, {
  3.79827859178125*^9, 3.79827866209375*^9}, {3.7982787179375*^9, 
  3.798278909890625*^9}, {3.798278969390625*^9, 3.79827917571875*^9}, {
  3.798281166484375*^9, 3.7982811745625*^9}, {3.798296664453125*^9, 
  3.7982966825*^9}, {3.7982990298125*^9, 3.79829905225*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "cilem", " ", "tohoto", " ", "kousku", " ", "je", " ", "ziskat", " ", 
     "konstantu", " ", "kKonvekce"}], ",", " ", 
    RowBox[{
    "ktera", " ", "se", " ", "vyskytuje", " ", "v", " ", "nize", " ", 
     "uvedene", " ", "rovnici", " ", "rceTepelna"}], ",", " ", 
    RowBox[{
    "coz", " ", "je", " ", "funkce", " ", "ktera", " ", "vraci", " ", 
     "tepelnou", " ", "rovnici", " ", "jako", " ", "funkci", " ", "parametru",
      " ", "PkonviceJmenovity"}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"kKonvekce", "=", 
    RowBox[{"\[Alpha]", "*", "S"}]}], ";"}]}]], "Input",
 CellChangeTimes->{{3.798279268171875*^9, 3.79827930525*^9}, {
  3.798296710390625*^9, 3.798296828015625*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "cilem", " ", "tohoto", " ", "kousku", " ", "je", " ", "ziskat", " ", 
     "konstantu", " ", "kSalani"}], ",", 
    RowBox[{
    "ktera", " ", "se", " ", "vyskytuje", " ", "v", " ", "nize", " ", 
     "uvedene", " ", "rovnici", " ", "rceTepelna"}], ",", " ", 
    RowBox[{
    "coz", " ", "je", " ", "funkce", " ", "ktera", " ", "vraci", " ", 
     "tepelnou", " ", "rovnici", " ", "jako", " ", "funkci", " ", "parametru",
      " ", "PkonviceJmenovity"}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"kSalani", "=", 
    RowBox[{"\[Epsilon]", "*", "\[Sigma]", "*", "S"}]}], ";"}]}]], "Input",
 CellChangeTimes->{{3.798279308296875*^9, 3.798279333484375*^9}, {
  3.798279441546875*^9, 3.798279448765625*^9}, {3.798296842453125*^9, 
  3.798296843171875*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
      "dale", " ", "pouzivame", " ", "promennou", " ", "PkonviceJmenovity"}], 
      "..."}], " ", "to", " ", "je", " ", "ta", " ", "hodnota"}], ",", " ", 
    RowBox[{"co", " ", "je", " ", "na", " ", "stitku", " ", "konvice"}], ",", 
    " ", 
    RowBox[{"hodnota", " ", "prikonu"}], ",", " ", 
    RowBox[{
     RowBox[{
      RowBox[{
      "ktery", " ", "by", " ", "konvice", " ", "mela", " ", "pri", " ", 
       "pripojeni", " ", "na", " ", "jmenovite", " ", 
       RowBox[{"(", 
        RowBox[{"zase", " ", "je", " ", "na", " ", "stitku"}], ")"}], " ", 
       "napeti"}], "..."}], " ", "jelikoz", " ", "uvazujeme"}], ",", " ", 
    RowBox[{
    "ze", " ", "toto", " ", "napeti", " ", "je", " ", "v", " ", "rozvadeci"}],
     ",", " ", 
    RowBox[{"skutecny", " ", "vykon", " ", "je", " ", "jiny", " ", 
     RowBox[{"(", 
      RowBox[{"mensi", ",", " ", 
       RowBox[{
       "protoze", " ", "na", " ", "svorkach", " ", "konvice", " ", "je", " ", 
        "napeti", " ", "mensi", " ", "o", " ", "ubytek", " ", "na", " ", 
        "privodnim", " ", "vedeni"}]}]}]}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "tedy", " ", "hlavnim", " ", "vstupnim", " ", "parametrem", " ", "je", 
     " ", "stitkovy", " ", "udaj", " ", "konvice"}], ",", " ", 
    RowBox[{"tedy", " ", "PkonviceJmenovity", " ", "ve", " ", "wattech"}]}], 
   "*)"}]}]], "Input",
 CellChangeTimes->{{3.798299258984375*^9, 3.798299600578125*^9}, {
  3.79830112209375*^9, 3.79830113034375*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "vypocteme", " ", "si", " ", "elektricky", " ", "odpor", " ", "topneho", 
     " ", "telesa", " ", "rychlovarne", " ", "konvice", " ", "jako", " ", 
     "funkci", " ", "jejiho", " ", "vykonu", " ", "ze", " ", "zadanych", " ", 
     "jmenovitych", " ", "udaju"}], ",", " ", 
    RowBox[{"plati", " ", 
     RowBox[{"rovnice", ":", " ", 
      RowBox[{"PkonviceJmenovity", "==", 
       RowBox[{"Rkonvice", "*", 
        SuperscriptBox["proudKonviceJmenovity", "2"]}], "==", 
       FractionBox[
        SuperscriptBox["Usit", "2"], "Rkonvice"]}]}]}]}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"je", " ", "pouzito", " ", "Set"}], ",", " ", 
    RowBox[{
    "tedy", " ", "\"\<=\>\"", " ", "a", " ", "ne", " ", "SetDelaysed"}], ",", 
    " ", 
    RowBox[{"tedy", " ", 
     RowBox[{"\"\<:=\>\"", ".", " ", 
      RowBox[{"Proc", "?", " ", "Pri"}]}], " ", "pouziti", " ", "SetDelayed", 
     " ", "se", " ", "v", " ", "okamziku", " ", "definice", " ", "rovnice", 
     " ", "neresi"}], ",", " ", 
    RowBox[{"resi", " ", "se", " ", "az", " ", "pri", " ", "volani", " ", 
     RowBox[{"funkce", ".", " ", "Pri"}], " ", "pouziti", " ", "Set", " ", 
     "se", " ", "rovnice", " ", "vyresi", " ", "a", " ", "vysledny", " ", 
     "vyraz", " ", "se", " ", "dosadi", " ", "do", " ", "hodnoty"}], ",", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"kterou", " ", "vraci", " ", "funkce"}], "..."}], " ", "tady", 
     " ", "na", " ", "tom", " ", "moc", " ", "nezalezi"}], ",", " ", 
    RowBox[{
    "budeme", " ", "ale", " ", "resit", " ", "diferencialni", " ", "rovnice", 
     " ", "a", " ", "to", " ", "trva", " ", "dele"}], ",", " ", 
    RowBox[{
    "ale", " ", "neni", " ", "spatne", " ", "si", " ", "udrzovat", " ", 
     "spravne", " ", "navyky"}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"kvuli", " ", "pouziti", " ", "Set", " ", "pouzijeme", " ", 
       RowBox[{"ClearAll", "[", 
        RowBox[{"Rkonvice", ",", "PkonviceJmenovity", ",", "Rkonv"}], "]"}]}],
       "..."}], " ", "kdyz", " ", "nekdo", " ", "pekne", " ", "popise"}], ",",
     " ", 
    RowBox[{
    "proc", " ", "to", " ", "nemusime", " ", "delat", " ", "pri", " ", 
     "pouziti", " ", "SetDelayed"}], ",", " ", 
    RowBox[{"dostane", " ", "body"}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"ClearAll", "[", 
     RowBox[{"Rkonvice", ",", "PkonviceJmenovity", ",", "Rkonv"}], "]"}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"Rkonvice", "[", "PkonviceJmenovity_", "]"}], "=", 
     RowBox[{"Rkonv", "/.", 
      RowBox[{
       RowBox[{"Solve", "[", 
        RowBox[{
         RowBox[{
          FractionBox[
           SuperscriptBox["Usit", "2"], "Rkonv"], "==", "PkonviceJmenovity"}],
          ",", "Rkonv"}], "]"}], "[", 
       RowBox[{"[", "1", "]"}], "]"}]}]}], ";"}]}]}]], "Input",
 CellChangeTimes->{{3.798279514234375*^9, 3.798279972515625*^9}, {
  3.798280613859375*^9, 3.798280794484375*^9}, {3.798296861890625*^9, 
  3.7982969753125*^9}, {3.7983011654375*^9, 3.798301168734375*^9}, {
  3.79830119875*^9, 3.7983011996875*^9}, {3.798328624375*^9, 
  3.798328625953125*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "odpor", " ", "konvice", " ", "je", " ", "v", " ", "serii", " ", "s", " ",
      "odporem", " ", "privodu"}], ",", " ", 
    RowBox[{
     RowBox[{
     "takze", " ", "pro", " ", "proud", " ", "plati", " ", "rovnice", " ", 
      RowBox[{"proud", "[", "PkonviceJmenovity_", "]"}]}], ":=", 
     FractionBox["Usit", 
      RowBox[{"Rprivod", "+", 
       RowBox[{"Rkonvice", "[", "PkonviceJmenovity", "]"}]}]]}]}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "neni", " ", "duvod", " ", "pro", " ", "Set", " ", "a", " ", "pouziti", 
     " ", "SetDelayed", " ", "je", " ", "\"\<programatorsky cistsi\>\""}], 
    ",", " ", 
    RowBox[{
     RowBox[{
      RowBox[{
      "PkonviceJmenovity", " ", "je", " ", "lokalni", " ", "promenna"}], 
      "..."}], " ", "vice", " ", "viz", " ", "zakladni", " ", "vyukovy", " ", 
     "text", " ", "na", " ", "powerwiki"}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
   "a", " ", "je", " ", "to", " ", "obycejny", " ", "Ohmuv", " ", "zakon"}], 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"proud", "[", "PkonviceJmenovity_", "]"}], ":=", 
    FractionBox["Usit", 
     RowBox[{"Rprivod", "+", 
      RowBox[{"Rkonvice", "[", "PkonviceJmenovity", "]"}]}]]}], 
   ";"}]}]], "Input",
 CellChangeTimes->{{3.798280463171875*^9, 3.7982805916875*^9}, {
  3.79828085959375*^9, 3.7982809331875*^9}, {3.798297017890625*^9, 
  3.79829703334375*^9}, {3.798297158859375*^9, 3.798297169796875*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"doufam", ",", " ", 
    RowBox[{
    "ze", " ", "kolegove", " ", "zejmena", " ", "z", " ", "katedry", " ", 
     "fyziky", " ", "meli", " ", "cas", " ", "a", " ", "prostor", " ", 
     "objasnit", " ", "vam", " ", "vztahy", " ", "mezi", " ", "vykonem"}], 
    ",", " ", 
    RowBox[{"energii", " ", "a", " ", "praci"}]}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"nam", " ", "tady", " ", "staci"}], ",", " ", 
    RowBox[{
    "ze", " ", "derivace", " ", "energie", " ", "podle", " ", "casu", " ", 
     "je", " ", "vykon"}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "tedy", " ", "vykon", " ", "ztrat", " ", "v", " ", "privodnich", " ", 
     "vodicich", " ", "je", " ", 
     RowBox[{"PzPrivody", "[", "PkonviceJmenovity_", "]"}]}], ":=", 
    RowBox[{"Rprivod", "*", 
     SuperscriptBox[
      RowBox[{"proud", "[", "PkonviceJmenovity", "]"}], "2"]}]}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
   "a", " ", "pro", " ", "ztracenou", " ", "energii", " ", "plati", " ", 
    "nasledujici", " ", "diferencialni", " ", "rovnice", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"velmi", " ", "jednoducha"}], ",", " ", 
      RowBox[{
      "zavolejte", " ", "si", " ", "ji", " ", "treba", " ", "na", " ", 
       "parametr", " ", "2300"}], ",", " ", 
      RowBox[{"bezny", " ", "vykon", " ", "rychlovarnych", " ", "konvic"}]}], 
     ")"}], " ", "a", " ", "pocatecni", " ", "podminka"}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"z", " ", "fyziky", " ", "vime"}], ",", " ", 
    RowBox[{
    "ze", " ", "energie", " ", "je", " ", "neco", " ", "jako", " ", 
     "neurcity", " ", "integral"}], ",", " ", 
    RowBox[{"zvolime", " ", "si"}], ",", " ", 
    RowBox[{"ze", " ", "na", " ", "pocatku", " ", "procesu", " ", 
     RowBox[{"(", 
      RowBox[{"kdy", " ", "jsme", " ", "zapnuli", " ", "konvici"}], ")"}], 
     " ", "byla", " ", "0", "J"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
   "PzPrivody", " ", "je", " ", "ztratovy", " ", "vykon", " ", "v", " ", 
    "privodech", " ", "jako", " ", "funkce", " ", "PkonviceJmenovity"}], 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"PzPrivody", "[", "PkonviceJmenovity_", "]"}], ":=", 
     RowBox[{"Rprivod", "*", 
      SuperscriptBox[
       RowBox[{"proud", "[", "PkonviceJmenovity", "]"}], "2"]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"rceZtrataPrivody", "[", "PkonviceJmenovity_", "]"}], ":=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"EzPrivody", "'"}], "[", "t", "]"}], "\[Equal]", 
        RowBox[{"PzPrivody", "[", "PkonviceJmenovity", "]"}]}], ",", 
       RowBox[{
        RowBox[{"EzPrivody", "[", "0", "]"}], "\[Equal]", "0"}]}], "}"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"zavolame", " ", "si", " ", "ji", " ", "at", " ", "vidime"}], 
     ",", " ", 
     RowBox[{"jak", " ", "vypada"}]}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{"rceZtrataPrivody", "[", "2300", "]"}], 
   "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{
  3.798280683203125*^9, {3.7982808016875*^9, 3.798280816875*^9}, 
   3.798280942765625*^9, {3.798281056234375*^9, 3.798281137921875*^9}, {
   3.798281182328125*^9, 3.798281203546875*^9}, 3.798281294265625*^9, {
   3.79828174509375*^9, 3.798282053703125*^9}, {3.798282087*^9, 
   3.7982821870625*^9}, {3.7982824295*^9, 3.798282430125*^9}, 
   3.7982970819375*^9, {3.798299157109375*^9, 3.798299233140625*^9}, {
   3.798301246875*^9, 3.798301275*^9}, {3.79830234559375*^9, 
   3.798302372203125*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "rovnice", " ", "celkove", " ", "energie", " ", "odebrane", " ", "z", " ", 
    "rozvadece", " ", "a", " ", "prislusna", " ", "pocatecni", " ", 
    "podminka", " ", "jsou", " ", "logicky", " ", "podle", " ", 
    "\"\<P=U*I\>\"", " ", 
    RowBox[{"atd", "."}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "Pdodany", " ", "je", " ", "dodavany", " ", "elektricky", " ", "vykon", 
     " ", "z", " ", "rozvadece"}], ",", " ", 
    RowBox[{"za", " ", "ten", " ", "platime"}]}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
   "Edodana", " ", "je", " ", "energie", " ", "dodana", " ", "z", " ", 
    "rozvadece", " ", "jako", " ", "funkce", " ", "casu"}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
   "rceDodanaEnergie", " ", "vraci", " ", "diferencialni", " ", "rovnici", 
    " ", "a", " ", "pocatecni", " ", "podminku", " ", "pro", " ", "funkci", 
    " ", "rceDodanaEnergie"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Pdodany", "[", "PkonviceJmenovity_", "]"}], ":=", 
     RowBox[{"Usit", "*", 
      RowBox[{"proud", "[", "PkonviceJmenovity", "]"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"rceDodanaEnergie", "[", "PkonviceJmenovity_", "]"}], ":=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"Edodana", "'"}], "[", "t", "]"}], "==", 
        RowBox[{"Pdodany", "[", "PkonviceJmenovity", "]"}]}], ",", 
       RowBox[{
        RowBox[{"Edodana", "[", "0", "]"}], "\[Equal]", "0"}]}], "}"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"zavolame", " ", "si", " ", "ji", " ", "at", " ", "vidime"}], 
     ",", " ", 
     RowBox[{"jak", " ", "vypada"}]}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{"rceDodanaEnergie", "[", "2300", "]"}]}]}]], "Input",
 CellChangeTimes->{{3.798282326109375*^9, 3.798282598171875*^9}, {
  3.79829711934375*^9, 3.798297123859375*^9}, {3.79829719534375*^9, 
  3.79829729175*^9}, {3.798301366359375*^9, 3.798301386265625*^9}, {
  3.798302325875*^9, 3.79830233384375*^9}, {3.79834766103125*^9, 
  3.798347664140625*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "a", " ", "obdobne", " ", "predchozimu", " ", "urcime", " ", "vykon", " ",
      "topneho", " ", "telesa", " ", "konvice"}], ",", " ", 
    RowBox[{"znacime", " ", "ho", " ", "Pkonvice"}]}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
   "Pkonvice", " ", "je", " ", "vykon", " ", "dodavany", " ", "do", " ", 
    "topneho", " ", "telesa", " ", "konvice"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "funkce", " ", "rceEkonvice", " ", "vraci", " ", "rovnici", " ", "a", " ",
      "pocatecni", " ", "podminku", " ", "pro", " ", "funkci", " ", 
     "Ekonvice"}], ",", " ", 
    RowBox[{
    "tedy", " ", "energii", " ", "dodane", " ", "topnemu", " ", "telesu", " ",
      "konvice", " ", "jako", " ", "funkci", " ", "casu"}]}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Pkonvice", "[", "PkonviceJmenovity_", "]"}], ":=", 
     RowBox[{
      RowBox[{"Rkonvice", "[", "PkonviceJmenovity", "]"}], "*", 
      SuperscriptBox[
       RowBox[{"proud", "[", "PkonviceJmenovity", "]"}], "2"]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"rceEkonvice", "[", "PkonviceJmenovity_", "]"}], ":=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"Ekonvice", "'"}], "[", "t", "]"}], "\[Equal]", 
        RowBox[{"Pkonvice", "[", "PkonviceJmenovity", "]"}]}], ",", 
       RowBox[{
        RowBox[{"Ekonvice", "[", "0", "]"}], "\[Equal]", "0"}]}], "}"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"zavolame", " ", "si", " ", "ji", " ", "at", " ", "vidime"}], 
     ",", " ", 
     RowBox[{"jak", " ", "vypada"}]}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{"rceEkonvice", "[", "2300", "]"}]}]}]], "Input",
 CellChangeTimes->{{3.798282718515625*^9, 3.798282936546875*^9}, {
  3.79828299634375*^9, 3.798283004203125*^9}, {3.798297307546875*^9, 
  3.798297485421875*^9}, {3.79830230540625*^9, 3.7983023105625*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "predchozi", " ", "asi", " ", "uz", " ", "vetsina", " ", "z", " ", "vas", 
     " ", "zna"}], ",", " ", 
    RowBox[{"ted", " ", "prijde", " ", "tepelna", " ", "rovnice"}], ",", " ", 
    RowBox[{"berte", " ", "ji", " ", "proste", " ", "jako", " ", "vstup"}]}], 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"kdo", " ", "je", " ", "elekrikar", " ", "srdcem"}], ",", " ", 
    RowBox[{
     RowBox[{
     "mozna", " ", "najde", " ", "analogii", " ", "s", " ", "nabijenim", " ", 
      "kondenzatoru"}], "..."}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"a", " ", "fyzikalne", " ", "jde", " ", "o", " ", "to"}], ",", 
    RowBox[{
    "ze", " ", "derivace", " ", "vnitrni", " ", "energie", " ", "vody", " ", 
     RowBox[{"(", 
      RowBox[{"tedy", " ", "vykon", " ", "m", "*", "c", "*", 
       RowBox[{
        RowBox[{"Tw", "'"}], "[", "t", "]"}]}], ")"}], " ", "je", " ", 
     "roven", " ", "dodavanemu", " ", "vykonu", " ", 
     RowBox[{"(", 
      RowBox[{"Pkonvice", "[", "PkonviceJmenovity", "]"}], ")"}], " ", 
     "minus", " ", "vykonu", " ", "konvekce", " ", "a", " ", "salani"}], ",", 
    " ", 
    RowBox[{"tedy", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"kKonvekce", "*", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"Tw", "[", "t", "]"}], "-", "Tokoli"}], ")"}]}], "+", 
       RowBox[{"kSalani", "*", 
        RowBox[{"(", 
         RowBox[{
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"Tw", "[", "t", "]"}], "+", "273."}], ")"}], "4"], "-", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"Tokoli", "+", "273."}], ")"}], "4"]}], ")"}]}]}], 
      ")"}]}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"rceTepelna", "[", "PkonviceJmenovity_", "]"}], ":=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"m", "*", "c", "*", 
         RowBox[{
          RowBox[{"Tw", "'"}], "[", "t", "]"}]}], "==", 
        RowBox[{
         RowBox[{"Pkonvice", "[", "PkonviceJmenovity", "]"}], "-", 
         RowBox[{"kKonvekce", "*", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"Tw", "[", "t", "]"}], "-", "Tokoli"}], ")"}]}], "-", 
         RowBox[{"kSalani", "*", 
          RowBox[{"(", 
           RowBox[{
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               RowBox[{"Tw", "[", "t", "]"}], "+", "273."}], ")"}], "4"], "-", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{"Tokoli", "+", "273."}], ")"}], "4"]}], ")"}]}]}]}], 
       ",", 
       RowBox[{
        RowBox[{"Tw", "[", "0", "]"}], "\[Equal]", "TStart"}]}], "}"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"zavolame", " ", "si", " ", "ji", " ", "at", " ", "vidime"}], 
     ",", " ", 
     RowBox[{"jak", " ", "vypada"}]}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{"rceTepelna", "[", "2300", "]"}]}]}]], "Input",
 CellChangeTimes->{{3.79828262515625*^9, 3.7982827098125*^9}, {
  3.798283024078125*^9, 3.79828315109375*^9}, {3.79829765934375*^9, 
  3.798297710765625*^9}, {3.798300375703125*^9, 3.79830050775*^9}, {
  3.79830227353125*^9, 3.798302287609375*^9}}],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "prestoze", " ", "by", " ", "to", " ", "slo", " ", "bilancne", " ", 
     "dopocitat"}], ",", " ", 
    RowBox[{
    "pro", " ", "usnadneni", " ", "programovani", " ", "si", " ", "udelame", 
     " ", "rovnice", " ", "pro", " ", "energii", " ", "tepelnych", " ", 
     "ztrat"}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
   "EztratyTepelne", " ", "je", " ", "energie", " ", "tepelnych", " ", 
    "ztrat", " ", "jako", " ", "funkce", " ", "casu"}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{"jen", " ", "pro", " ", "snazsi", " ", "programovani"}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"rceTepelnetraty", "[", "PkonviceJmenovity_", "]"}], ":=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"EztratyTepelne", "'"}], "[", "t", "]"}], "==", 
        RowBox[{
         RowBox[{"kKonvekce", "*", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"Tw", "[", "t", "]"}], "-", "Tokoli"}], ")"}]}], "+", 
         RowBox[{"kSalani", "*", 
          RowBox[{"(", 
           RowBox[{
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               RowBox[{"Tw", "[", "t", "]"}], "+", "273."}], ")"}], "4"], "-", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{"Tokoli", "+", "273."}], ")"}], "4"]}], ")"}]}]}]}], 
       ",", 
       RowBox[{
        RowBox[{"EztratyTepelne", "[", "0", "]"}], "\[Equal]", "0"}]}], 
      "}"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"zavolame", " ", "si", " ", "ji", " ", "at", " ", "vidime"}], 
     ",", " ", 
     RowBox[{"jak", " ", "vypada"}]}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{"rceTepelnetraty", "[", "2300", "]"}]}]}]], "Input",
 CellChangeTimes->{{3.798289809765625*^9, 3.7982899384375*^9}, {
  3.79829751659375*^9, 3.7982975461875*^9}, {3.798300529359375*^9, 
  3.7983005439375*^9}, {3.79830221434375*^9, 3.798302255765625*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "rovnice", " ", "celkem", " ", "a", " ", "ty", " ", "jsou", " ", 
     "vstupem", " ", "ulohy"}], ",", " ", 
    RowBox[{
    "kterou", " ", "muzete", " ", "udelat", " ", "za", " ", "body"}]}], 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"rceCelkem", "[", "PkonviceJmenovity_", "]"}], ":=", 
    RowBox[{"Union", "[", 
     RowBox[{
      RowBox[{"rceDodanaEnergie", "[", "PkonviceJmenovity", "]"}], ",", 
      RowBox[{"rceZtrataPrivody", "[", "PkonviceJmenovity", "]"}], ",", 
      RowBox[{"rceEkonvice", "[", "PkonviceJmenovity", "]"}], ",", 
      RowBox[{"rceTepelna", "[", "PkonviceJmenovity", "]"}], ",", 
      RowBox[{"rceTepelnetraty", "[", "PkonviceJmenovity", "]"}]}], "]"}]}], 
   ";"}]}]], "Input",
 CellChangeTimes->{{3.7982832945625*^9, 3.79828341325*^9}, {
  3.798283529984375*^9, 3.798283530296875*^9}, {3.798289956953125*^9, 
  3.798289959140625*^9}}],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "vasim", " ", "vstupem", " ", "je", " ", "tedy", " ", "funkce", " ", 
     "rceCelkem"}], ",", " ", 
    RowBox[{
    "tedy", " ", "si", " ", "ji", " ", "zkusime", " ", "zavolat", " ", "na", 
     " ", "predpokladany", " ", "paremetr"}], ",", " ", 
    RowBox[{
     RowBox[{"tedy", " ", "treba", " ", "PkonviceJmenovity"}], "=", 
     RowBox[{"2300", "W"}]}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{"rceCelkem", "[", "2300", "]"}]}]], "Input",
 CellChangeTimes->{{3.7982942918125*^9, 3.79829438059375*^9}, 
   3.7982977399375*^9, 3.798301502875*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "a", " ", "ted", " ", "prichazi", " ", "uloha", " ", "za", " ", "body"}], 
    "..."}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "pri", " ", "akceptovani", " ", "zadaneho", " ", "popisu", " ", "systemu",
      " ", 
     RowBox[{"(", 
      RowBox[{"rceCelkem", " ", "a", " ", "konstanty"}], ")"}], 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"napr", ".", " ", "jste"}], " ", "zamestnanci", " ", "ve", " ",
        "firme", " ", "a", " ", "rceCelkem", " ", "jste", " ", "dostali", " ",
        "od", " ", "\"\<nadrizeneho\>\"", " ", "utvaru", " ", "firmy"}], 
      ")"}], " ", "mate", " ", "vyresit", " ", "ulohu", " ", "jake", " ", 
     "jsou", " ", "ztraty", " ", "za", " ", "dobu", " ", "ohrevu", 
     RowBox[{"(", 
      RowBox[{"elektricke", ",", " ", "tepelne", ",", " ", "celkove"}], ")"}],
      " ", "jako", " ", "funkce", " ", "promenne", " ", 
     RowBox[{"(", "parametru", ")"}], " ", "PkonviceJmenovity"}], ",", " ", 
    RowBox[{"jaky", " ", "je", " ", "cas", " ", "ohrevu", " ", 
     RowBox[{"(", 
      RowBox[{"tedy", " ", "kdy", " ", "teplota", " ", 
       RowBox[{"Tw", "[", "tEnd", "]"}], " ", "bude", " ", "zadana", " ", 
       "hodnota", " ", "TEnd"}], ")"}]}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
   "vasi", " ", "nadrizeni", " ", "potrebuji", " ", "pekne", " ", 
    "demagonicke", " ", "grafy", " ", "pro", " ", "argumentaci", " ", "vuci", 
    " ", "jeste", " ", "vyssim", " ", "instancim"}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{
     "rovnice", " ", "rceCelkem", " ", "je", " ", "potrebi", " ", "umet", " ",
       "vyresit", " ", "numericky", " ", 
      RowBox[{"(", "NDSolve", ")"}], " ", "a", " ", "najit", " ", "cas", " ", 
      "tEnd", " ", "kdy", " ", "TEnd"}], " ", "\[Equal]", 
     RowBox[{"Tw", "[", "tEnd", "]"}]}], ",", " ", 
    RowBox[{
    "je", " ", "nutno", " ", "pouzit", " ", "FindRoot", " ", "a", " ", "tedy",
      " ", "najit", " ", "resemi", " ", "numericky"}]}], "*)"}]}]], "Input",
 CellChangeTimes->{{3.798283610265625*^9, 3.798283877421875*^9}, {
  3.79828611621875*^9, 3.798286224375*^9}, {3.798286561296875*^9, 
  3.798286563484375*^9}, {3.798294432921875*^9, 3.798294438859375*^9}, {
  3.798297784015625*^9, 3.798297812875*^9}, {3.79829794978125*^9, 
  3.798297972921875*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"vsechny", " ", "hodnoty", " ", "Ez"}], ",", " ", 
    RowBox[{"EzPrivody", "[", "PkonviceJmenovity", "]"}], ",", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"EztratyTepelne", "[", "PkonviceJmenovity", "]"}], " ", "jsou", 
      " ", "brany", " ", "v", " ", "case", "  ", "tEnd", " ", "pro", " ", 
      "ktery", " ", "plati", " ", "TEnd"}], " ", "\[Equal]", 
     RowBox[{"Tw", "[", "tEnd", "]"}]}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"cilem", " ", "je", " ", "graf", " ", "zavislosti", " ", 
     RowBox[{"tEnd", "[", "PkonviceJmenovity", "]"}]}], ",", 
    "\[IndentingNewLine]", " ", 
    RowBox[{
     RowBox[{"graf", " ", "zavislosti", " ", "Ez"}], "=", 
     RowBox[{
      RowBox[{"EzPrivody", "[", "PkonviceJmenovity", "]"}], "+", 
      RowBox[{
       RowBox[{"EztratyTepelne", "[", "PkonviceJmenovity", "]"}], " ", "jako",
        " ", "funkce", " ", "PkonviceJmenovity"}]}]}]}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"a", " ", "druhym", " ", "ukolem", " ", "je", " ", "graf", " ", 
     RowBox[{"(", 
      RowBox[{"Plot", " ", "nebo", " ", "ListPlot"}], ")"}], "zavislosti", 
     " ", "ucinnosti", " ", "ohrevu"}], ",", " ", 
    RowBox[{"tedy", " ", "zavislost", " ", 
     FractionBox["Emin", "Edodana"], " ", "na", " ", "PkonviceJmenovity"}]}], 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"dalsi", " ", "ukol", " ", "je", " ", "najit", " ", 
     RowBox[{"(", "nominalni", ")"}], " ", "vykon", " ", "konvice"}], ",", 
    " ", 
    RowBox[{
    "pro", " ", "ktery", " ", "je", " ", "ucinnost", " ", "ohrevu", " ", 
     "maximalni"}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
   "vystupy", " ", "maji", " ", "vypadat", " ", "napriklad", " ", "takto"}], 
   "*)"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      GraphicsBox[
       {Hue[0.67, 0.6, 0.6], PointBox[CompressedData["
1:eJwtzwkwXAccx3GVtKJqbOPaaamlkXY0kTUdBNH8khA0iJsQbNxSd9toOyaW
ISOpNOtaxOJhnevYXRlhqG6bSltFUcIisWnKNGmUKU1Sgzbt/t/Mmzefecfv
fc2jUv1iNTU0NGKfn/9d/z9wDdbXxuwlxxKhtgAvZ8vv+SJBbZUAR/l3C1/0
j1ebX4TBgDXrvMw4tTnFMP9k8MNFSazaimJ8xOTvS/kjRm1eCZbzjDMVzmSN
UjwVvCARVkSrzZRCqXMlVbkdRftlSKrlSEuSyKoyPPmiIGvlwTnaFyK+ivPz
W9FkTjmsg2c4lQ95tF+OfbsyAtoukHkV2KnKSpzSJmtUor+A23LENZL2KxEh
avzYLieC9q/jgqNyc+J2OO1fh8FG8lC4IZlfhXa7A7oOSWdpX4RDEqliYjiM
9kVodpq+X88l86rxTpcV+93qUNqvwfHlqHR9FpmpgXWQice9gjO0X4uUUcNA
Oy2yqhYW3S9NDF0JofsMTlev9znrkwUMrtpncQOZYHqewUF2zcT3NmRuHfrM
bB1Cvwui/6/DwJtNlT/xyON1+PW+acn6diD11GNVPKtTWkNOq8fsxa/FucfJ
inpYDjVYlT4MUJvVgIJgPy+mhMxrQLbDRnAOyNIGbG366hms+VO/GDcVRpn2
9WQfMcbmNptGgsiMGFkLq1U9uuQ1MczOprDnbvtRfyM+awvPMc0lCxrRzb45
kHCUrGqEjK1n2rjjS/1N0HPpdfryKzK/CS4xxiuiXPL48/sKJcfGjcxpxvnQ
6Zl4XXJaM1bmPbS50z7U34zg9LDyT2vIrBZsvj7vbJtI5rXAptTxUoAtWdqC
/MfeN37QJGu0ItTc8JJew2nqb8VsxCSz+wSZaUVT+pht2JI39bcie3XPo63L
ZLThrs+d5CkuWdAGxml/9qjSi/rbMHWxYXIqj8yVoD4v7PcZGzJfArG+lueQ
ypP6JQjoV1oVFpE57RBxlvNNXMhp7Tjm+fTV+GenqL8d/GAvbngnmdWBA7vS
l9ZiybwOWB5sHjcwI0s7sKXZbzGgfJ/6O/EkMrB8rozs04kxVWxyjD+Z6cRW
mzLSey95rRPf9mcyVyc9qL8LgnDTceNSsqALxavrm78EkVVdCJFrFi+9RmZL
sZifEWekcqf3pTBx3BInNZETpAjfeTyxmEwWSDEzX3Ur3o7cK4Vbsiuz9Y8b
fV+KNPc7s8Jh8h4ZJMNB+w8JyVwZRBLxpcEocogMC8Ohh9/jkvkyCB0s+pp3
TqrdIsONxqhvNkbJ4zL86fG5q1kN+ZkM23t7PjBPJXPk6I3LLvoLZHc52IV8
V6E+OU2Oc2/onNxZdlW7Qo7zhWey3+4nK+T4e8RImyUg/yYH/8coS2ksmdWN
U94LzruPkA93I3qi5YGWPpnXjROTuiM9j1zULuiGdm7G+Cu3XPAv0nr1dQ==

         "]]},
       AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
       Axes->True,
       AxesLabel->{
         FormBox["\"Pk [W]\"", TraditionalForm], 
         FormBox["\"tEnd [s]\"", TraditionalForm]},
       AxesOrigin->{0, 0},
       PlotRangeClipping->True], ",", 
      GraphicsBox[
       {Hue[0.67, 0.6, 0.6], PointBox[CompressedData["
1:eJw9lA1Q02Ucx8HzKPSOqEQMMCEKTeQkTG8gyBciXg45J5OEG8UgB6RYgBDv
NdLkTRO2wRjQGNuAwdjYhlFCKYjxEnYtO7goTS/Oo85E4A6GB2hvz8/d7Xaf
++/+n/s8v+d5PFI+iBWus7GxEf7z/ff3vw8u4F1NUJBly2zw/1wNT9cR3wgv
xneqIX7t1zCRH2NRDU74V0gUQYzdxVheHd0/EMF4QIwInmPgYy5jgQTvbYvx
yE5gbCMF79k46a5kxkopJDtuXQ9OJ38tbthffND3PvlrsUGbnKjLIX8dFLeN
990KyS/DM89Jdrt8TH4Zxq7UVnWdJn89tg78efJmGfnlMIUkppqqyC/HeKg+
yu8C+RuwbtwcIBSTvwFLD49aDtWSvxG4tMvJKiN/E1IuO6iSGsjfhG1Dzdrz
TeT/HPJHvLUzCvIrsNCd4BGlJL8C0RWxB2+1kL8Zb/C+yQ5Tk78ZbhsGI0s1
9FyJ1boibl0r42olXuzvvvFpG/1fCTdr2Mrhdsa+Lbj2l/fkKrGoBcknvgwp
1zK2tKAoRi9bJHZXQViweTi8g3GmCqGvH0QJ8YAKUtdv+Q3Ejmq8fD8joZlY
oMb2+Ht554mNagTUz08IiW00mBdrRa8SczXYqcrLmiK/UoO3dojqPySe04Dn
zJmwJUYrpHdjHhZRT3UrKj2Hvr/7pL8V/oJ7diD2bUPvZHFCFa2XqA0bv0Da
KK2npQ38pT0/Wmm93duhcz603YU4sx2XV52Wd6uovx0rM7Mj/jQvRy32FVo2
cWieAi3yp7Sx3s3Ur8UpdZT1+Sfz70C7xOf4Au0PbgdyXzI6jTRSfweEWfx4
Me2nuQ6k/lJXeURO/Z0Yu/q7vUM99Xci+4DA60od9XdCV8LdmU771VeHH4JE
ufZS6tdBIWsMVNP+tugQ9bhgfG8N9Xch/8GeY4N0HjK7kHZ95s3wz6i/C+qM
F/TXzlG/Hp6Jsp8C6TwJ9NjvFjdnqKB+Pa5Gqzmu5dRvQFKfx+3Ss9RvgENo
yKbpM9RvQKVw0S6Yzu+cAd5nk6drS6m/G5esdhMzdN6ru+GX1rt+70fU343O
+TV5STHjLUYs8K19g3RfwIgGIeecbQHjdCNGE/m+QXn0PiPKRofHcnIZf2XE
b7qyfO0per8R+/ihiT9nMX7ahPkeF8n6TFpvExaLL/r70P0Vb0Jk4ScZsRm0
/iZk9vuE5xxnrDXh5FrkHTHdfxYT/A98d8SQynjZhKa1gP7hYzQfM8ZW3L1v
pjCONMPf6NA/K6B5mdHJmRI9eodxvRmtKbyajW/T/MyI5TrbbuYz/sOMXnnS
9Fa6nx17MJQwEu15lDGnB5Nfz0Z7xdF8e3Da4rrkxWNc3oOmp1z5rxyeDf4b
ZFIvRg==
         "]]},
       AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
       Axes->True,
       AxesLabel->{
         FormBox["\"Pk [W]\"", TraditionalForm], 
         FormBox["\"ucinnost [-]\"", TraditionalForm]},
       PlotRange->Automatic,
       PlotRangeClipping->True], ",", 
      GraphicsBox[
       {Hue[0.67, 0.6, 0.6], PointBox[CompressedData["
1:eJw11A1ME2ccx/EqG6/CKls32FhWGduEIG+idAvB36wYmMxAZfKmBpluFRGQ
wZZMRthGxtIx6Hgr7xQo0FIKbWGzWiCVF0FrJomEdRANYROERSQiBBRlbvyf
Sy6XT3p3T7939zw7ktJEp7dyOJzTz/f/jv9vKELzH0EnM4XD2LQU2eZIbn/p
1U1PSTFktkzpV4Y2nfsLVBXGgwmfk/nF2Pjpkczl7uCmTcWIyJixykslJ5Yg
g/vrPvFWMqcUyQl79l+qH9i0vBQF07zqn0PJKEP02Rg716V+Gr8MA3kGJ2Ur
ObccfHVweE0SmS9D37m4lDNvk00yzJ9UDhbPXaHxKyBY/WqnqpvMqYS9p+i9
8DyyvBIK4fEQ11gyqhDmkhx6zZc8VYWlwsksrgM5txqK4Yl4zZyJxq9Bev54
2ikz2VQDm7jQwo1OcmItyuoeJH0sI3Pq4Lbbf5b/LVleB6/hD+5EniOjHuUy
0TcXE8hT9Wg5VrM/IIL9LgffISu4IYQslSOT82fibAA7X46ksgyPuZ1kvwas
3JXUFfDJuQ2o0h3zv+xKHm2ARZg8kvgK62lEz4sxrmIuOb0RJdNOf/c6sr5G
WFff/CxqG5nbBM+LS7POzIlNsDU4jj5k1jYhWjbp9pcT61egM/SGenw7OVKB
vWm7PrnCY89DgSd2kWLZ6+RFBYJuKm0Os/+PZhQ6+b8w+S7rb8ZDj9dqA31Y
fzOaByw80V7W34KVPIcOr32svwUneO4lv4Wx/hb0ulg9vS9i/a14dnXP2rXj
rL8VC6nyVuEZ1t8KywinNTqL9SuR7doxs8LeZ6ISSdaaWx5FrF+JiZdW+i01
rF8Fi417r6Oa9atwMMG7pe8S61dh0fh0eWaE9auwvsw7/52F9bfhoyPC6oJ7
rL8NW5LH6ressf42TJrFS7ft6Hv1U0Nj0/fY7Q32/aoRf8cg6PEmj6ohND5w
MISQ+e2AcTXCMYqc3o6jhYI1w6dkUzuSgvx9DF+SuRpIYse9bCVsvmlwvT01
qqWWrNXgcF2gi1TH5l8H5saUrw4MkSM74LzutxE8weZjB56Fx5Q/WSAvdiDu
HcnAulU/9XfCKJNmhbiSpZ3osSvp6fMhT3XiyA57w4UDZBctXj4kqPwinl2v
xfU3l5sU6WSxFjp5baBjPrufFv/E5avUtWSDFplfIyenm91fi8uClYA8M9lW
B4F3TLxxmuyng599eaX7Y3KsDjcizTLDdlrfcnXIPHXAOduTrNShW9R46+yH
5FEdcrp4DT/EkVefX1+w64T5PJmvx9qy74JAQg7TQ/+9DX5vJKfr0eVbcUhi
JFfo4TO4m5cyRjbpkTpS1JRxn3xPD29JjlOtNa3P3C6IU8rF82+RBV3YJj16
O+59tp534ZGdtGheRP6xCx4XpN3VKYP4F2ZYFfU=
         "]]},
       AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
       Axes->True,
       AxesLabel->{
         FormBox["\"Pk [W]\"", TraditionalForm], 
         FormBox["\"Ez [J]\"", TraditionalForm]},
       PlotRange->Automatic,
       PlotRangeClipping->True]}], "}"}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    InterpretationBox[
     RowBox[{
     "\"\<PIeal= \>\"", "\[InvisibleSpace]", "2428.456239211644`", 
      "\[InvisibleSpace]", "\"\< W,  ucinnoctMax= \>\"", "\[InvisibleSpace]", 
      "0.9582063254090837`", "\[InvisibleSpace]", "\"\< -\>\""}],
     SequenceForm[
     "PIeal= ", 2428.456239211644, " W,  ucinnoctMax= ", 0.9582063254090837, 
      " -"],
     Editable->False], "*)"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
    "dale", " ", "je", " ", "ulohou", " ", "najit", " ", "hodnotu", " ", 
     "PkonviceJmenovity", " ", "pro", " ", "kterou", " ", "je", " ", 
     "ucinnost", " ", "ohrevu", " ", "maximalni", " ", 
     RowBox[{"(", 
      RowBox[{
      "a", " ", "zobrazit", " ", "je", " ", "jako", " ", "vyse", " ", 
       "ukazany", " ", "vystup", " ", "pomoci", " ", "Print"}], ")"}]}], 
    "*)"}]}]}]], "Input",
 CellChangeTimes->{
  3.798292000828125*^9, {3.798293299421875*^9, 3.798293307921875*^9}, {
   3.798293377609375*^9, 3.7982935610625*^9}, {3.7982936015625*^9, 
   3.798293635140625*^9}, {3.798293671125*^9, 3.798293717140625*^9}, 
   3.798293787359375*^9, {3.798294082828125*^9, 3.7982941588125*^9}, 
   3.798297867765625*^9, {3.798298014484375*^9, 3.798298106140625*^9}, {
   3.798298147171875*^9, 3.7982981644375*^9}, {3.798298225609375*^9, 
   3.798298307203125*^9}, {3.7983015918125*^9, 3.79830165228125*^9}, {
   3.79830184715625*^9, 3.798301849*^9}, {3.798302412265625*^9, 
   3.798302422953125*^9}, {3.798328756578125*^9, 3.79832875715625*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"uloha", " ", "za", " ", "extra", " ", 
     RowBox[{"body", ":", " ", 
      RowBox[{
      "v", " ", "predchozim", " ", "bereme", " ", "prurez", " ", "vodice", 
       " ", "jako", " ", "konstantu"}]}]}], ",", " ", 
    RowBox[{"vytvorte", " ", "grafy"}], ",", " ", 
    RowBox[{
     RowBox[{
      RowBox[{
      "kde", " ", "bude", " ", "vice", " ", "krivek", " ", "pro", " ", 
       "ruzne", " ", "hodnoty", " ", "prurezu", " ", "vodice"}], "..."}], " ",
      "a", " ", "podobne"}], ",", " ", 
    RowBox[{
     RowBox[{"neco", " ", "zajimaveho"}], "..."}]}], " ", "*)"}], 
  "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.7982983255625*^9, 3.798298331875*^9}, {
  3.7982983716875*^9, 3.798298474734375*^9}, {3.798300647453125*^9, 
  3.79830065834375*^9}}]
},
WindowSize->{1068, 641},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
PrivateNotebookOptions -> {
 "VersionedStylesheet" -> {"Default.nb"[8.] -> False}},
Magnification->1.5000001192092896`,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (February 18, 2009)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 551, 13, 98, "Input"],
Cell[1111, 35, 2443, 52, 314, "Input"],
Cell[3557, 89, 1394, 32, 152, "Input"],
Cell[4954, 123, 3603, 92, 496, "Input"],
Cell[8560, 217, 3401, 88, 456, "Input"],
Cell[11964, 307, 1651, 38, 233, "Input"],
Cell[13618, 347, 2859, 76, 446, "Input"],
Cell[16480, 425, 777, 18, 152, "Input"],
Cell[17260, 445, 840, 19, 152, "Input"],
Cell[18103, 466, 1605, 38, 260, "Input"],
Cell[19711, 506, 3291, 76, 471, "Input"],
Cell[23005, 584, 1574, 40, 276, "Input"],
Cell[24582, 626, 3780, 91, 477, "Input"],
Cell[28365, 719, 2246, 55, 314, "Input"],
Cell[30614, 776, 2075, 52, 315, "Input"],
Cell[32692, 830, 3359, 88, 348, "Input"],
Cell[36054, 920, 2107, 55, 292, "Input"],
Cell[38164, 977, 968, 23, 152, "Input"],
Cell[39135, 1002, 648, 15, 152, "Input"],
Cell[39786, 1019, 2436, 52, 341, "Input"],
Cell[42225, 1073, 9008, 183, 588, "Input"],
Cell[51236, 1258, 839, 21, 125, "Input"]
}
]
*)

